ResourceOperationException (Resource Management Library 2.0.0-2.17.1 API)
Date: 2014-01-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.resourcemanagement.support.server.exceptions
Class ResourceOperationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.gcube.resourcemanagement.support.server.exceptions.AbstractResourceException
                  org.gcube.resourcemanagement.support.server.exceptions.ResourceOperationException

All Implemented Interfaces:
  Serializable

    public class ResourceOperationException

extends AbstractResourceException

If an operation of the library internally fails.

Author:
  Daniele Strollo (ISTI-CNR)
See Also:
  Serialized Form

Constructor Summary
`ResourceOperationException()`
`ResourceOperationException(String message)`
`ResourceOperationException(String message, Throwable cause)`
`ResourceOperationException(Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceOperationException

    public ResourceOperationException()

### ResourceOperationException

    public ResourceOperationException(String message)

Parameters:
  `message` -

### ResourceOperationException

    public ResourceOperationException(Throwable cause)

Parameters:
  `cause` -

### ResourceOperationException

    public ResourceOperationException(String message,
                                      Throwable cause)

Parameters:
  `message` -
  `cause` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.